Loading...
Searching...
No Matches
osmo_gad_ell_arc Struct Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

`#include <gad.h>`

## Data Fields

int32_t | lat
| latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .
int32_t | lon
| longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .
uint32_t | inner_r
| inner circle radius in mm (m * 1e3)
uint32_t | unc_r
| Uncertainty circle radius in millimeters, 0 .
uint16_t | ofs_angle
| Offset angle of first arc edge in degrees from North clockwise (eastwards), 0..359.
uint16_t | incl_angle
| Included angle defining the angular width of the arc, in degrees clockwise, 1..360.
uint8_t | confidence
| Confidence in percent, 0 = no information, 1..100%, 101..128 = no information.

## Field Documentation

## confidence

uint8_t osmo_gad_ell_arc::confidence

Confidence in percent, 0 = no information, 1..100%, 101..128 = no information.

## incl_angle

uint16_t osmo_gad_ell_arc::incl_angle

Included angle defining the angular width of the arc, in degrees clockwise, 1..360.

Angle is coded in increments of 2 degrees.

## inner_r

uint32_t osmo_gad_ell_arc::inner_r

inner circle radius in mm (m * 1e3)

## lat

int32_t osmo_gad_ell_arc::lat

latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .

. 90'000'000 (N).

## lon

int32_t osmo_gad_ell_arc::lon

longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .

. 180'000'000 (E).

## ofs_angle

uint16_t osmo_gad_ell_arc::ofs_angle

Offset angle of first arc edge in degrees from North clockwise (eastwards), 0..359.

Angle is coded in increments of 2 degrees.

## unc_r

uint32_t osmo_gad_ell_arc::unc_r

Uncertainty circle radius in millimeters, 0 .

. 18'000'000. Coding of uncertainty is non-linear, use osmo_gad_dec_unc(osmo_gad_enc_unc(val)) to clamp.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gad.h